{% extends 'crazymix/base.html' %}
{% load static %}

{% block title %}Crazymix-Accueil{% endblock %}
<div style="background-image: url('{% static "crazymix/img/studio.jpg" %}'); background-size: cover;">
    {% block contenu %}
        {% if 'is_authenticated' not in request.session %}
            <a class="btn btn-light d-table mt-5 mx-auto" href="{% url 'register' %}">M'inscrire</a>
        {% endif %}
        {% if 'is_authenticated' in request.session %}
            <a class="btn btn-light d-table mt-5 mx-auto" href="/crazymix/reservation/new">Réserver ma session au
                studio</a>
        {% endif %}
        <div class="dropdown float-right">
            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Filtrer extraits
            </button>
            <div class="dropdown-menu " aria-labelledby="dropdownMenuButton">
                <a class="dropdown-item" href="{% url 'filtrerExtraits' %}?created_within=60">Moins d'une heure</a>
                <a class="dropdown-item" href="{% url 'filtrerExtraits' %}?created_within=1440">Moins d'une journée</a>
                <a class="dropdown-item" href="{% url 'filtrerExtraits' %}?created_within=10080">Moins d'une semaine</a>
                <a class="dropdown-item" href="{% url 'filtrerExtraits' %}?created_within=43200">Moins d'un mois</a>

            </div>
        </div>

        {% if extraits_public %}
            {% csrf_token %}
            {#            <div class="d-flex flex-column">#}
            {% for extrait in extraits_public %}

                {% if extrait.partage == 'PUBLIC' %}
                    <div class="d-flex">
                        <div class="row" style="border-bottom: 2.5px solid;border-color: #f1f3f4;">
                            <div class="col-md-4-3">
                                <div class="card-body">
                                    <div class="d-flex justify-content-between">
                                        <h3 class="ml-3 mt-4">{{ extrait.nom }}</h3>
                                        <div class="mt-4 mr-3">
                                            {% if 'is_authenticated' in request.session %}
                                                <a onclick="modifierFavoris(event)" href="#"><img id="{{ extrait.id }}"
                                                        {% if extrait.favoris == 'True' %}
                                                                                                  src="{% static 'crazymix/img/favoris.png' %}"
                                                        {% else %}
                                                                                                  src="{% static 'crazymix/img/ajouter_favoris.png' %}"
                                                        {% endif %}
                                                                                                  style="Width:32px;border-radius: 22px;"/></a>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="d-flex mt-1">
                                        <img class="ml-3" style="Width:32px;height:32px;border-radius: 22px;"
                                             src="{{ extrait.avatar }}">
                                        <h5 class="ml-1 mt-1">{{ extrait.artiste }}</h5>

                                    </div>
                                    <audio class="mt-4" controls>
                                        <source src="{{ extrait.audio }}" type="audio/mpeg">
                                    </audio>
                                    {% if 'is_authenticated' not in request.session %}
{#                                        <div class="ml-2 mr-2 mt-3 rounded-pill d-flex justify-content-around align-items-center"#}
{#                                             style="height:55px;">#}
{#                                        </div>#}
                                    {% else %}
                                        <div class="ml-2 mr-2 mt-3 bg-dark rounded-pill d-flex justify-content-around align-items-center"
                                             style="height:55px;">

                                        <a onclick="modifierReaction(event)" href="#"><img
                                                id="frowning/{{ extrait.id }}"
                                                src="{% static 'crazymix/img/frowning.png' %}"
                                                {% if extrait.reactionActive == 'FROWNING' %}
                                                name="active{{ extrait.id }}"
                                                style="Width:55px;border-radius: 20px;"
                                                {% else %}
                                                style="Width:43px;border-radius: 20px;"
                                                {% endif %}

                                        /></a>
                                        <a onclick="modifierReaction(event)" href="#"><img
                                                id="blushing/{{ extrait.id }}"
                                                src="{% static 'crazymix/img/blushing.png' %}"
                                                {% if extrait.reactionActive == 'BLUSHING' %}
                                                style="Width:55px;border-radius: 20px;"
                                                name="active{{ extrait.id }}"
                                                {% else %}
                                                style="Width:43px;border-radius: 20px;"
                                                {% endif %}

                                        /></a>
                                        <a onclick="modifierReaction(event)" href="#"><img id="winky/{{ extrait.id }}"
                                                                                           src="{% static 'crazymix/img/winky.png' %}"
                                                {% if extrait.reactionActive == 'WINKY' %}
                                                                                           style="Width:55px;border-radius: 20px;"
                                                                                           name="active{{ extrait.id }}"
                                                {% else %}
                                                                                           style="Width:43px;border-radius: 20px;"
                                                {% endif %}

                                        /></a>
                                        <a onclick="modifierReaction(event)" href="#"><img id="love/{{ extrait.id }}"
                                                                                           src="{% static 'crazymix/img/love.png' %}"
                                                {% if extrait.reactionActive == 'LOVE' %}
                                                                                           style="Width:55px;border-radius: 20px;"
                                                                                           name="active{{ extrait.id }}"
                                                {% else %}
                                                                                           style="Width:43px;border-radius: 20px;"
                                                {% endif %}
                                        /></a>
                                        <a onclick="modifierReaction(event)" href="#"><img id="cool/{{ extrait.id }}"
                                                                                           src="{% static 'crazymix/img/cool.png' %}"
                                                {% if extrait.reactionActive == 'COOL' %}
                                                                                           style="Width:55px;border-radius: 20px;"
                                                                                           name="active{{ extrait.id }}"
                                                {% else %}
                                                                                           style="Width:43px;border-radius: 20px;"
                                                {% endif %}

                                        /></a>
                                        <img
                                                src="{% static 'crazymix/img/plus.png' %}" class="mb-5"
                                                {#                                            {% if extrait.reaction == 'True' %}#}
                                                style="Width:15px;height:15px;border-radius:20px;"
                                                {#                                            {% else %}#}
                                                {#                                                style="Width:32px;border-radius: 22px;"/></a>#}
                                                {#                                            {% endif %}#}

                                        />
                                    {% endif %}
                                    </div>
                                </div>

                            </div>
                        </div>
                        {% if 'is_authenticated' in request.session %}
                        <div class="row">
                            <div class="col-md-4-3">
                                <div class="card-body">
                                    {#                            <div class="d-flex">#}
                                    {#                                <h6 class="mt-5"></h6>#}
                                    {#                            </div>#}

                                    <div class="mt-4 d-flex flex-column  rounded-pill">
                                        {% for reaction in extrait.reactions %}
                                            <div class="d-flex inline mb-2">
                                                <div style="/* width: 40px; */position:relative;/* margin-right: 11px; */padding-right: 30px;padding-left: 10px;">
                                                    {% for utilisateur in reaction.utilisateurs_liste %}
                                                        {#                                <img style="width: 30px;border-radius: 25px;" src="{{ reaction.src }}">#}
                                                        {#                                <img style="width: 32px;height: 32px;border-radius: 25px;position: absolute;top: 5px;right: -24px;"#}
                                                        {#                                     src="{{ reaction.utilisateurImg }}">#}
                                                        <img style="width: 32px;height:32px;border-radius: 25px;"
                                                             src="{{ utilisateur.utilisateurImg }}">

                                                    {% endfor %}
                                                    <img style="width: 28px;height: 28px;border-radius: 25px;position: absolute;top: -8px;right: 8px;"
                                                         src="{{ reaction.src }}">
                                                </div>


                                            </div>
                                        {% endfor %}
                                    </div>
                                    {#                                </div>#}
                                    {#                            </div>#}
                                    {% if extrait.utilisateurs_surplus != "" %}
                                        <div class="ml-2 dropdown">
                                            <button style="width: 53px;height: 34px;background-color: #6c757d;"
                                                    class="btn btn-secondary dropdown-toggle pr-3" type="button"
                                                    id="dropdownMenuButton"
                                                    data-toggle="dropdown" aria-haspopup="true"
                                                    aria-expanded="false">
                                            </button>
                                            <div class="dropdown-menu pt-2 pr-2" style="min-width:1px;padding: 0px;"
                                                 aria-labelledby="dropdownMenuButton">
                                                {% for utilisateur in extrait.utilisateurs_surplus %}
                                                    <a class="dropdown-item" style="position:relative;"
                                                       href="{% url 'index' %}">
                                                        <img class="mt-1"
                                                             style="width: 30px;height:32px;border-radius: 25px;"
                                                             src="{{ utilisateur.utilisateurImg }}"><img
                                                            class="mt-1"
                                                            style="width: 28px;height: 28px;border-radius: 25px;position: absolute;top: -8px;right: 8px;"
                                                            src="{{ utilisateur.reaction }}"></a>

                                                {% endfor %}
                                            </div>
                                        </div>
                                    {% endif %}
                                    {#                                </div>#}
                                    {#                                </div>#}
                                    {#                            </div>#}
                                </div>
                            </div>
                        </div>
                    {% endif %}
                    </div>
                {% else %}
                    {% if 'is_authenticated' in request.session and extrait.partage == 'COMMUNAUTE' %}
                        <div class="row" style="border-bottom: 2.5px solid;border-color: #f1f3f4;">

                            <div class="col-md-4-3">
                                <div class="card-body">
                                    <div class="d-flex justify-content-between">
                                        <h3 class="ml-3 mt-4">{{ extrait.nom }}</h3>
                                        <div class="ml-2 mt-4">
                                            {% if 'is_authenticated' in request.session %}
                                                <a onclick="modifierFavoris(event)" href="#"><img
                                                        id="{{ extrait.id }}"
                                                        {% if extrait.favoris == 'True' %}
                                                        src="{% static 'crazymix/img/favoris.png' %}"
                                                        {% else %}
                                                        src="{% static 'crazymix/img/ajouter_favoris.png' %}"
                                                        {% endif %}
                                                        style="Width:32px;border-radius: 22px;"/></a>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="d-flex mt-1">
                                        <img class="ml-3" style="Width:32px;height:32px;border-radius: 22px;"
                                             src="{{ extrait.avatar }}">
                                        <h5 class="ml-1 mt-1">{{ extrait.artiste }}</h5>

                                    </div>
                                    <audio class="mt-4" controls>
                                        <source src="{{ extrait.audio }}" type="audio/mpeg">
                                    </audio>
                                    {% if 'is_authenticated' in request.session %}
                                        <div class="ml-2 mr-2 mt-3 bg-dark rounded-pill d-flex justify-content-around align-items-center"
                                             style="height:55px;">
                                            <a onclick="modifierReaction(event)" href="#"><img
                                                    id="frowning/{{ extrait.id }}"
                                                    src="{% static 'crazymix/img/frowning.png' %}"
                                                    {% if extrait.reactionActive == 'FROWNING' %}
                                                    name="active{{ extrait.id }}"
                                                    style="Width:55px;border-radius: 27px;"
                                                    {% else %}
                                                    style="Width:43px;border-radius: 27px;"
                                                    {% endif %}

                                            /></a>
                                            <a onclick="modifierReaction(event)" href="#"><img
                                                    id="blushing/{{ extrait.id }}"
                                                    src="{% static 'crazymix/img/blushing.png' %}"
                                                    {% if extrait.reactionActive == 'BLUSHING' %}
                                                    style="Width:55px;border-radius: 27px;"
                                                    name="active{{ extrait.id }}"
                                                    {% else %}
                                                    style="Width:43px;border-radius: 27px;"
                                                    {% endif %}

                                            /></a>
                                            <a onclick="modifierReaction(event)" href="#"><img
                                                    id="winky/{{ extrait.id }}"
                                                    src="{% static 'crazymix/img/winky.png' %}"
                                                    {% if extrait.reactionActive == 'WINKY' %}
                                                    style="Width:55px;border-radius: 27px;"
                                                    name="active{{ extrait.id }}"
                                                    {% else %}
                                                    style="Width:43px;border-radius: 27px;"
                                                    {% endif %}

                                            /></a>
                                            <a onclick="modifierReaction(event)" href="#"><img
                                                    id="love/{{ extrait.id }}"
                                                    src="{% static 'crazymix/img/love.png' %}"
                                                    {% if extrait.reactionActive == 'LOVE' %}
                                                    style="Width:55px;border-radius: 27px;"
                                                    name="active{{ extrait.id }}"
                                                    {% else %}
                                                    style="Width:43px;border-radius: 27px;"
                                                    {% endif %}
                                            /></a>
                                            <a onclick="modifierReaction(event)" href="#"><img
                                                    id="cool/{{ extrait.id }}"
                                                    src="{% static 'crazymix/img/cool.png' %}"
                                                    {% if extrait.reactionActive == 'COOL' %}
                                                    style="Width:55px;border-radius: 27px;"
                                                    name="active{{ extrait.id }}"
                                                    {% else %}
                                                    style="Width:43px;border-radius: 27px;"
                                                    {% endif %}

                                            /></a>
                                            <img
                                                    src="{% static 'crazymix/img/plus.png' %}" class="mb-5"
                                                    {#                                            {% if extrait.reaction == 'True' %}#}
                                                    style="Width:15px;height:15px;border-radius:20px;"
                                                    {#                                            {% else %}#}
                                                    {#                                                style="Width:32px;border-radius: 22px;"/></a>#}
                                                    {#                                            {% endif %}#}
                                            />
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                            {#                        </div>#}
                            <div class="row pt-5">
                                <div class="col-md-4-3">
                                    <div class="card-body">
                                        {#                            <div class="d-flex">#}
                                        {#                                <h6 class="mt-5"></h6>#}
                                        {#                            </div>#}

                                        <div class="mt-4 d-flex flex-column  rounded-pill">
                                            {% for reaction in extrait.reactions %}
                                                <div class="d-flex inline mb-2">
                                                    <div style="/* width: 40px; */position:relative;/* margin-right: 11px; */padding-right: 30px;padding-left: 10px;">
                                                        {% for utilisateur in reaction.utilisateurs_liste %}
                                                            {#                                <img style="width: 30px;border-radius: 25px;" src="{{ reaction.src }}">#}
                                                            {#                                <img style="width: 32px;height: 32px;border-radius: 25px;position: absolute;top: 5px;right: -24px;"#}
                                                            {#                                     src="{{ reaction.utilisateurImg }}">#}
                                                            <img style="width: 30px;height:30px;border-radius: 25px;"
                                                                 src="{{ utilisateur.utilisateurImg }}">

                                                        {% endfor %}
                                                        <img style="width: 28px;height: 28px;border-radius: 25px;position: absolute;top: -8px;right: 8px;"
                                                             src="{{ reaction.src }}">
                                                    </div>


                                                </div>
                                            {% endfor %}
                                            {% if extrait.utilisateurs_surplus != "" %}
                                                <div class="ml-2 dropdown">
                                                    <button style="width: 53px;height: 34px;background-color: #6c757d;"
                                                            class="btn btn-secondary dropdown-toggle pr-3" type="button"
                                                            id="dropdownMenuButton"
                                                            data-toggle="dropdown" aria-haspopup="true"
                                                            aria-expanded="false">
                                                    </button>
                                                    <div class="dropdown-menu pt-2 pr-2"
                                                         style="min-width:1px;padding: 0px;"
                                                         aria-labelledby="dropdownMenuButton">
                                                        {% for utilisateur in extrait.utilisateurs_surplus %}
                                                            <a class="dropdown-item" style="position:relative;"
                                                               href="{% url 'index' %}">
                                                                <img class="mt-1"
                                                                     style="width: 30px;height:30px;border-radius: 25px;"
                                                                     src="{{ utilisateur.utilisateurImg }}"><img
                                                                    class="mt-1"
                                                                    style="width: 28px;height: 28px;border-radius: 25px;position: absolute;top: -8px;right: 8px;"
                                                                    src="{{ utilisateur.reaction }}"></a>

                                                        {% endfor %}
                                                    </div>
                                                </div>
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    {% endif %}
                {% endif %}
                </div>
            {% endfor %}
        {% endif %}
        </div>
        <script type="text/javascript" src="{% static 'favoris_reaction.js' %}"></script>
    {% endblock %}
